apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: "2025-08-25T12:56:33.677712172Z"
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  creationTimestamp: "2025-08-19T22:34:12Z"
  finalizers:
  - kubevirt.io/virtualMachineControllerFinalize
  generation: 5
  name: mtvtest-fedora
  namespace: test-vms
  resourceVersion: "346339406"
  uid: ff82ed36-fba7-413c-b97e-f7b632a0e53a
spec:
  dataVolumeTemplates:
  - metadata:
      creationTimestamp: null
      name: mtvtest-fedora-volume
    spec:
      sourceRef:
        kind: DataSource
        name: fedora
        namespace: openshift-virtualization-os-images
      storage:
        resources:
          requests:
            storage: 30Gi
        storageClassName: lvms-vg1
  instancetype:
    kind: virtualmachineclusterinstancetype
    name: u1.medium
  preference:
    kind: virtualmachineclusterpreference
    name: fedora
  runStrategy: Always
  template:
    metadata:
      creationTimestamp: null
      labels:
        network.kubevirt.io/headlessService: headless
    spec:
      architecture: amd64
      domain:
        devices:
          autoattachPodInterface: false
          interfaces:
          - macAddress: 02:90:7d:00:00:02
            masquerade: {}
            name: default
        machine:
          type: pc-q35-rhel9.6.0
        resources: {}
      networks:
      - name: default
        pod: {}
      subdomain: headless
      volumes:
      - dataVolume:
          name: mtvtest-fedora-volume
        name: rootdisk
      - cloudInitNoCloud:
          userData: |
            #cloud-config
            chpasswd:
              expire: false
            password: qy7i-i1p1-fcj0
            user: fedora
        name: cloudinitdisk
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-08-25T12:56:35Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: null
    message: All of the VMI's DVs are bound and ready
    reason: AllDVsReady
    status: "True"
    type: DataVolumesReady
  - lastProbeTime: null
    lastTransitionTime: null
    message: 'cannot migrate VMI: PVC mtvtest-fedora-volume is not shared, live migration
      requires that all PVCs must be shared (using ReadWriteMany access mode)'
    reason: DisksNotLiveMigratable
    status: "False"
    type: LiveMigratable
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: StorageLiveMigratable
  - lastProbeTime: "2025-08-25T12:56:47Z"
    lastTransitionTime: null
    status: "True"
    type: AgentConnected
  created: true
  desiredGeneration: 5
  instancetypeRef:
    controllerRevisionRef:
      name: mtvtest-fedora-u1.medium-v1beta1-65682f31-311a-4b11-a33f-c7efd12c3f33-1
    kind: virtualmachineclusterinstancetype
    name: u1.medium
  observedGeneration: 5
  preferenceRef:
    controllerRevisionRef:
      name: mtvtest-fedora-fedora-v1beta1-13fa838d-4820-4828-ad4c-cc0decfc1fa5-1
    kind: virtualmachineclusterpreference
    name: fedora
  printableStatus: Running
  ready: true
  runStrategy: Always
  volumeSnapshotStatuses:
  - enabled: true
    name: rootdisk
  - enabled: false
    name: cloudinitdisk
    reason: Snapshot is not supported for this volumeSource type [cloudinitdisk]
